Bug 1018533 - Review Request: golang-github-coreos-go-systemd - Go bindings to systemd socket activation, journal and D-BUS APIs
Review Request: golang-github-coreos-go-systemd - Go bindings to systemd sock...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1018480 1018523
  Show dependency treegraph
 
Reported: 2013-10-12 21:19 EDT by Lokesh Mandvekar
Modified: 2014-07-01 18:59 EDT (History)
7 users (show)

See Also:
Fixed In Version: golang-github-coreos-go-systemd-0-0.3.git68bc612.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-28 23:33:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattdm: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Lokesh Mandvekar 2013-10-12 21:19:21 EDT
Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-github-coreos-go-systemd.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-github-coreos-go-systemd-0-0.1.git68bc612.fc21.src.rpm

Description: 
Go bindings to systemd socket activation, journal and D-BUS APIs.

Fedora Account System Username: lsm5

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6054062

rpmlint SPECS/golang-github-coreos-go-systemd.spec SRPMS/golang-github-coreos-go-systemd-0-0.1.git68bc612.fc21.src.rpm RPMS/noarch/golang-github-coreos-go-systemd-devel-0-0.1.git68bc612.fc21.noarch.rpm
SPECS/golang-github-coreos-go-systemd.spec:37: W: setup-not-quiet
golang-github-coreos-go-systemd.src:37: W: setup-not-quiet
2 packages and 1 specfiles checked; 0 errors, 2 warnings.
Comment 1 Matthew Miller 2013-10-14 13:25:34 EDT
Review passed. As with other Go packages, this is with the caveat that updates to the draft guidelines may require packaging changes in the near future.
Comment 2 Lokesh Mandvekar 2013-10-14 14:50:43 EDT
New Package SCM Request
=======================
Package Name: golang-github-coreos-go-systemd
Short Description: Go bindings to systemd socket activation, journal and D-BUS APIs
Owners: lsm5
Branches: f19 f20 el6
InitialCC:
Comment 3 Peter Lemenkov 2013-10-14 15:23:32 EDT
Btw defattr(...) directive should be removed. This isn't needed anymore since Fedora Core 6 / RHEL 5
Comment 4 Matthew Miller 2013-10-14 16:02:51 EDT
(In reply to Peter Lemenkov from comment #3)
> Btw defattr(...) directive should be removed. This isn't needed anymore
> since Fedora Core 6 / RHEL 5

I thought the EPEL guidelines still called for it, but I'm not seeing that now. The Fedora guidelines just mention it as not necessary (but also not forbidden). So, whatever Lokesh prefers.
Comment 5 Lokesh Mandvekar 2013-10-14 17:21:24 EDT
%changelog
* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.git68bc612
- provides golang("github.com/coreos/go-systemd")
- defattr removed


Spec URL: http://lsm5.fedorapeople.org/rpmbuild/SPECS/golang-github-coreos-go-systemd.spec
SRPM URL: http://lsm5.fedorapeople.org/rpmbuild/SRPMS/golang-github-coreos-go-systemd-0-0.2.git68bc612.fc21.src.rpm
Comment 6 Jens Petersen 2013-10-15 02:00:43 EDT
Git done (by process-git-requests).

(I think defattr is only needed for epel5.)
Comment 7 Fedora Update System 2013-10-15 23:56:30 EDT
golang-github-coreos-go-systemd-0-0.2.git68bc612.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-systemd-0-0.2.git68bc612.fc20
Comment 8 Fedora Update System 2013-10-16 00:01:33 EDT
golang-github-coreos-go-systemd-0-0.2.git68bc612.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-systemd-0-0.2.git68bc612.fc19
Comment 9 Fedora Update System 2013-10-16 00:06:38 EDT
golang-github-coreos-go-systemd-0-0.2.git68bc612.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-systemd-0-0.2.git68bc612.el6
Comment 10 Fedora Update System 2013-10-17 14:04:20 EDT
golang-github-coreos-go-systemd-0-0.2.git68bc612.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 11 Fedora Update System 2013-10-18 20:10:04 EDT
golang-github-coreos-go-systemd-0-0.3.git68bc612.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-systemd-0-0.3.git68bc612.fc20
Comment 12 Fedora Update System 2013-10-18 20:19:41 EDT
golang-github-coreos-go-systemd-0-0.3.git68bc612.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-systemd-0-0.3.git68bc612.fc19
Comment 13 Fedora Update System 2013-10-18 20:25:23 EDT
golang-github-coreos-go-systemd-0-0.3.git68bc612.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-coreos-go-systemd-0-0.3.git68bc612.el6
Comment 14 Peter Lemenkov 2013-10-23 07:06:48 EDT
Package Change Request
======================
Package Name: golang-github-coreos-go-systemd
InitialCC: golang-sig
Comment 15 Gwyn Ciesla 2013-10-23 10:11:23 EDT
Done.
Comment 16 Fedora Update System 2013-10-28 23:33:04 EDT
golang-github-coreos-go-systemd-0-0.3.git68bc612.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-11-03 12:57:26 EST
golang-github-coreos-go-systemd-0-0.3.git68bc612.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-11-10 01:19:17 EST
golang-github-coreos-go-systemd-0-0.3.git68bc612.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.